Get Playlist Journey / Progression

Look-back (journey) or look-ahead (progression) analysis of playlists that share tracks with the target playlist over time.

Path Parameters
  • platform
    Type: string enum
    required

    Streaming platform. One of spotify, applemusic, deezer, soundcloud.

    values
    • spotify
    • applemusic
    • deezer
    • soundcloud
  • id
    required

    Chartmetric playlist ID. Deezer uses bigInt IDs; other platforms use 32-bit integers.

    • Type: integer
      min:  
      0

      Chartmetric playlist ID. Deezer uses bigInt IDs; other platforms use 32-bit integers.

  • type
    Type: string enum
    required

    Look-back (journey) or look-ahead (progression) analysis of playlists that share tracks with the target.

    values
    • journey
    • progression
Query Parameters
  • sortColumn
    Type: string enum

    Column to sort matched playlists by. One of overlap (total percent overlap) or followers. Defaults to overlap.

    values
    • overlap
    • followers
  • sortOrderDesc
    Type: boolean

    If true, sort sortColumn in descending order. Defaults to true.

  • offset
    Type: integer
    min:  
    0

    Number of items to skip from the start of the result set; pair with limit to paginate.

  • limit
    Type: integer
    min:  
    1
    max:  
    50

    Maximum number of items to return per request.

Responses
  • application/json
Request Example for get/api/playlist/{platform}/{id}/journey-progression/{type}
curl https://api.chartmetric.com/api/playlist/spotify/0/journey-progression/journey \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "total": "24",
    "data": [
      {
        "plid": "1280262301",
        "name": "",
        "followers": 1022,
        "image_url": null,
        "total_percent_overlap": 0.055556,
        "count_distinct_tracks": "2",
        "events": [
          {
            "days": 16,
            "day_percent_overlap": 0.055556,
            "tracks_added": [
              {
                "id": 20654220,
                "name": "Flou",
                "image_url": "https://is3-ssl.mzstatic.com/image/thumb/Music118/v4/4f/a7/07/4fa707be-69f1-e04a-cf70-164918eb8fb2/source/160x160bb.jpeg",
                "isrc": "BE8HB1800014"
              }
            ]
          }
        ]
      }
    ]
  }
}